export function getRepoUrl(meta: { [k: string]: string }): string | null {
  if (meta.githubRepo && meta.githubOrg) {
    const org = meta.githubOrg;
    const repo = meta.githubRepo;
    return `https://github.com/${org}/${repo}`;
  }

  if (meta.gitlabProjectNamespace && meta.gitlabProjectRepo) {
    const namespace = meta.gitlabProjectNamespace;
    const repo = meta.gitlabProjectRepo;
    return `https://gitlab.com/${namespace}/${repo}`;
  }

  return null;
}